package com.fuyuanshen.modules.system.domain.vo;

import com.fuyuanshen.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import com.fuyuanshen.modules.system.domain.Dept;
import com.fuyuanshen.modules.system.domain.Job;
import com.fuyuanshen.modules.system.domain.Role;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Objects;
import java.util.Set;

/**
 * @author: 默苍璃
 * @date: 2025-06-1211:34
 */
@Getter
@Setter
public class ConsumerVo extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "ID", hidden = true)
    private Long id;

    @ApiModelProperty(value = "用户角色")
    private Set<Role> roles;

    @ApiModelProperty(value = "用户岗位")
    private Set<Job> jobs;

    @ApiModelProperty(hidden = true)
    private Long deptId;

    @ApiModelProperty(hidden = true)
    private Long pid;

    @ApiModelProperty(hidden = true)
    private Byte userLevel;

    @ApiModelProperty(value = "用户部门")
    private Dept dept;

    @ApiModelProperty(value = "账号")
    private String username;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "电话号码")
    private String phone;

    @ApiModelProperty(value = "用户性别")
    private String gender;

    @ApiModelProperty(value = "头像真实名称", hidden = true)
    private String avatarName;

    @ApiModelProperty(value = "头像存储的路径", hidden = true)
    private String avatarPath;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "是否启用")
    private Boolean enabled;

    @ApiModelProperty(value = "是否为admin账号", hidden = true)
    private Boolean isAdmin = false;

    @ApiModelProperty(value = "最后修改密码的时间", hidden = true)
    private Date pwdResetTime;

    /**
     * 租户ID
     */
    @ApiModelProperty(hidden = true)
    private Long tenantId;


    private List<ConsumerVo> children;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ConsumerVo consumer = (ConsumerVo) o;
        return Objects.equals(id, consumer.id) && Objects.equals(username, consumer.username);
    }


    @Override
    public int hashCode() {
        return Objects.hash(id, username);
    }


}
