package com.fuyuanshen.modules.system.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import com.fuyuanshen.modules.system.domain.DeviceLog;
import com.fuyuanshen.modules.system.domain.dto.DeviceLogQueryCriteria;
import com.fuyuanshen.modules.system.service.DeviceLogService;
import com.fuyuanshen.modules.utils.ResponseVO;
import com.fuyuanshen.utils.PageResult;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/24
 **/
@Api(tags = "设备：设备日志")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/deviceLog")
public class DeviceLogController {

    private final DeviceLogService deviceLogService;

    @GetMapping
    @ApiOperation("分页查询设备日志")
    public ResponseVO<PageResult<DeviceLog>> queryDeviceLog(DeviceLogQueryCriteria criteria){
        Page<Object> page = new Page<>(criteria.getPage(), criteria.getSize());
        return ResponseVO.success(deviceLogService.queryAll(criteria,page));
    }

}
