package com.fuyuanshen.modules.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fuyuanshen.modules.system.domain.DeviceType;
import com.fuyuanshen.modules.system.domain.dto.DeviceTypeQueryCriteria;
import com.fuyuanshen.utils.PageResult;

import java.util.List;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/14
 **/
public interface DeviceTypeService extends IService<DeviceType> {

    /**
     * 查询数据分页
     *
     * @param criteria 条件
     * @param page     分页参数
     * @return PageResult
     */
    PageResult<DeviceType> queryAll(DeviceTypeQueryCriteria criteria, Page<Object> page);

    /**
     * 查询所有数据不分页
     *
     * @param criteria 条件参数
     * @return List<DeviceTypeDto>
     */
    List<DeviceType> queryAll(DeviceTypeQueryCriteria criteria);


    /**
     * 查询所有设备类型
     *
     * @return
     */
    List<DeviceType> queryDeviceTypes();

    /**
     * 新增设备类型
     *
     * @param resources /
     */
    void create(DeviceType resources);

    /**
     * 编辑
     *
     * @param resources /
     */
    void update(DeviceType resources);

    /**
     * 多选删除
     *
     * @param ids /
     */
    void deleteAll(List<Long> ids);

}
